gsl::CFMinimizer Class Reference

`#include <mia/core/gsl_multimin.hh>`

## Data Structures

class | Problem

## Public Types

typedef std::shared_ptr< Problem > | PProblem

## Public Member Functions

| CFMinimizer (PProblem p, const gsl_multimin_fminimizer_type *ot)
int | run (Vector &x)
| ~CFMinimizer ()

## Detailed Description

This class wraps the gradient free optimizers of the GSL

Definition at line 117 of file gsl_multimin.hh.

## Member Typedef Documentation

## PProblem

typedef std::shared_ptr<Problem> gsl::CFMinimizer::PProblem

Definition at line 148 of file gsl_multimin.hh.

## Constructor & Destructor Documentation

## CFMinimizer()

gsl::CFMinimizer::CFMinimizer | ( | PProblem | p,
|  | const gsl_multimin_fminimizer_type * | ot )

Construtor of the optimizer.

Parameters

  p | problem to be optimized
  ot | optimizer type used

## ~CFMinimizer()

gsl::CFMinimizer::~CFMinimizer | ( |  | ) |

## Member Function Documentation

## run()

int gsl::CFMinimizer::run | ( | Vector & | x | ) |

Run the optimization

Parameters

  [in,out] | x | at entry contains the start point of the optimization at exit the optimized value

Returns
  returns a status whether the optimization succeeded or why it stopped

The documentation for this class was generated from the following file:

- gsl_multimin.hh